package com.demez.module;

import java.util.ArrayList;

import com.demez.module.impl.FPS;
import com.demez.module.impl.HudOpener;

public class ModManager {
	public static ArrayList<Module> modules;
	
	public ModManager()
	{
		modules = new ArrayList<Module>();
		
		modules.add(new FPS());
		modules.add(new HudOpener());
	}
	
	
	

	public static ArrayList<Module> getModules() {
		return modules;
	}

	public void renderMods() {
		for (com.demez.module.Module m : modules) {
			if(m.isToggled()) {
				m.onRender();
			}
		}
	}




	public static void onKey(int k)
	{
		for (Module m : modules)
		{
			if(m.getKey() == k)
			{
				m.toggle();
			}
		}
	}
	
	public static void onUpdate() {
		for(Module m : modules) {
			m.onUpdate();
		}
	}
	
	public static void onRender() {
		for(Module m : modules) {
			m.onRender();
		}
	}
}
